package com.huiju.estateagents.redpack.entity;

import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;

import lombok.Data;

@Data
public class RechargeOrder {
    /**
     * 订单编号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "订单编号", index = 0)
    private String tradeNo;

    /**
     * 充值组织
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "充值组织", index = 1)
    private String miniAppName;

    /**
     * 充值金额
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "充值金额", index = 2)
    private Integer amount;

    /**
     * 充值方式
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "充值方式", index = 3)
    private String isOffline;

    /**
     * 下单时间
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "下单时间", index = 4)
    private LocalDateTime createDate;

    /**
     * 充值状态
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "充值状态", index = 5)
    private String tradingStatus;

    /**
     * 支付时间
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "支付时间", index = 6)
    private LocalDateTime payDate;
}
